{
	"ap_kernel_image" : "CVDBASEDIR/etc/openwrt/images/openwrt_kernel_x86_64",
	"ap_rootfs_image" : "CVDBASEDIR/etc/openwrt/images/openwrt_rootfs_x86_64",
	"crosvm_binary" : "CVDBASEDIR/bin/crosvm",
	"enable_host_bluetooth" : true,
	"enable_host_bluetooth_connector" : true,
	"enable_host_uwb" : false,
	"enable_host_uwb_connector" : false,
	"enable_metrics" : 2,
	"extra_bootconfig_args" :
	[
		""
	],
	"extra_kernel_cmdline" :
	[
		""
	],
	"fragments" :
	{
		"AdbConfigFragmentImpl" :
		{
			"connector_enabled" : true,
			"mode" :
			[
				"vsock_half_tunnel"
			]
		},
		"CustomActionConfig" :
		[
			{
				"instance_id" : "0"
			}
		],
		"DisplaysConfigsFragmentImpl" : [],
		"FastbootConfigFragmentImpl" :
		{
			"proxy_fastboot" : true
		}
	},
	"gem5_debug_flags" : "",
	"host_tools_version" :
	{
		"bin/acloud" : 3504607220,
		"bin/adb" : 3839648852,
		"bin/adb_connector" : 2465134406,
		"bin/allocd" : 1270575571,
		"bin/allocd_client" : 1555373253,
		"bin/android.hardware.automotive.vehicle@2.0-virtualization-grpc-server" : 3961234864,
		"bin/assemble_cvd" : 2332851929,
		"bin/avbtool" : 4087784423,
		"bin/config_server" : 1497760863,
		"bin/console_forwarder" : 809315711,
		"bin/crosvm" : 3836948888,
		"bin/cvd" : 2971177597,
		"bin/cvd_host_bugreport" : 2287570096,
		"bin/cvd_import_locations" : 2584706351,
		"bin/cvd_internal_display" : 4037904781,
		"bin/cvd_internal_env" : 2492605665,
		"bin/cvd_internal_host_bugreport" : 983967495,
		"bin/cvd_internal_start" : 2619793504,
		"bin/cvd_internal_status" : 763080386,
		"bin/cvd_internal_stop" : 4100465542,
		"bin/cvd_send_sms" : 2089670653,
		"bin/cvd_status" : 2389873517,
		"bin/cvd_test_gce_driver" : 4103626419,
		"bin/cvd_update_location" : 4270074606,
		"bin/cvdremote" : 2657315900,
		"bin/defrag.f2fs" : 2679731714,
		"bin/dump.f2fs" : 1465710503,
		"bin/e2fsdroid" : 3293874821,
		"bin/echo_server" : 1236489749,
		"bin/extract-ikconfig" : 1875953446,
		"bin/extract-vmlinux" : 304558107,
		"bin/fastboot" : 3302359724,
		"bin/fec" : 544561855,
		"bin/fsck.f2fs" : 4142945687,
		"bin/gnss_grpc_proxy" : 4007291566,
		"bin/health" : 1551902257,
		"bin/kernel_log_monitor" : 858974076,
		"bin/launch_cvd" : 3437661161,
		"bin/log_tee" : 3116471248,
		"bin/logcat_receiver" : 173862302,
		"bin/lpadd" : 1966638520,
		"bin/lpmake" : 4054718770,
		"bin/lpunpack" : 2938669967,
		"bin/lz4" : 3268434124,
		"bin/make_f2fs" : 1767668571,
		"bin/mcopy" : 4145294700,
		"bin/metrics" : 4147307944,
		"bin/mkbootfs" : 2361753370,
		"bin/mkbootimg" : 1519717164,
		"bin/mke2fs" : 1068636527,
		"bin/mkenvimage_slim" : 3181681055,
		"bin/mkuserimg_mke2fs" : 1878605731,
		"bin/mmd" : 1628905191,
		"bin/modem_simulator" : 3576718518,
		"bin/ms-tpm-20-ref" : 2976626462,
		"bin/mtools" : 3671948426,
		"bin/netsim" : 1715092013,
		"bin/netsim-ui" : 2212345907,
		"bin/netsimd" : 3670732684,
		"bin/newfs_msdos" : 1710944101,
		"bin/openwrt_control_server" : 1748322095,
		"bin/operator_proxy" : 2201309527,
		"bin/pica" : 1544140955,
		"bin/powerwash_cvd" : 709027802,
		"bin/process_restarter" : 1140752610,
		"bin/resize.f2fs" : 3972682160,
		"bin/restart_cvd" : 2996283016,
		"bin/root-canal" : 191704971,
		"bin/run_cvd" : 3307999617,
		"bin/secure_env" : 3283727390,
		"bin/sefcontext_compile" : 2331001703,
		"bin/simg2img" : 79248839,
		"bin/socket_vsock_proxy" : 2062588594,
		"bin/stop_cvd" : 1995166348,
		"bin/tcp_connector" : 1641727619,
		"bin/test_cvd_load_parser" : 3129455341,
		"bin/tombstone_receiver" : 1781669862,
		"bin/toybox" : 2518402312,
		"bin/unpack_bootimg" : 387559790,
		"bin/webRTC" : 2160872880,
		"bin/webrtc_operator" : 3125782507,
		"bin/wmediumd" : 170227791,
		"bin/wmediumd_control" : 3482754512,
		"bin/wmediumd_gen_config" : 562297090,
		"bin/x86_64-linux-gnu" : 4071614572,
		"lib64/android.hardware.automotive.vehicle@2.0.so" : 3507106470,
		"lib64/android.hardware.keymaster@3.0.so" : 2932925773,
		"lib64/android.hardware.keymaster@4.0.so" : 871790926,
		"lib64/cf_proto.so" : 2812955944,
		"lib64/cuttlefish_net.so" : 1134777462,
		"lib64/libartbase.so" : 1654341482,
		"lib64/libartpalette.so" : 4194858341,
		"lib64/libbase.so" : 518902638,
		"lib64/libbitflags.dylib.so" : 3980066705,
		"lib64/libbssl_ffi.dylib.so" : 882228151,
		"lib64/libbytes.dylib.so" : 1911201502,
		"lib64/libc++.so" : 2240838483,
		"lib64/libcap.so" : 2423193197,
		"lib64/libcfg_if.dylib.so" : 1765356784,
		"lib64/libcgrouprc.so" : 4043676451,
		"lib64/libciborium.dylib.so" : 1657259309,
		"lib64/libciborium_io.dylib.so" : 2577226697,
		"lib64/libciborium_ll.dylib.so" : 3532364933,
		"lib64/libconst_oid.dylib.so" : 3319502619,
		"lib64/libcoset.dylib.so" : 4277563870,
		"lib64/libcppbor_external.so" : 680317156,
		"lib64/libcppcose_rkp.so" : 1975654333,
		"lib64/libcrypto-host.so" : 3444276491,
		"lib64/libcrypto_utils.so" : 121147609,
		"lib64/libcurl-host.so" : 1685705906,
		"lib64/libcutils.so" : 3740284814,
		"lib64/libcuttlefish_allocd_utils.so" : 129400726,
		"lib64/libcuttlefish_device_config.so" : 572200093,
		"lib64/libcuttlefish_device_config_proto.so" : 618946872,
		"lib64/libcuttlefish_fs.so" : 1865406548,
		"lib64/libcuttlefish_kernel_log_monitor_utils.so" : 3463527285,
		"lib64/libcuttlefish_security.so" : 292553784,
		"lib64/libcuttlefish_utils.so" : 2092577735,
		"lib64/libder.dylib.so" : 2281794105,
		"lib64/libdexfile.so" : 2934835304,
		"lib64/libepoxy.so" : 1607889116,
		"lib64/libext2_blkid-host.so" : 1113782624,
		"lib64/libext2_uuid-host.so" : 2364223049,
		"lib64/libext4_utils.so" : 762526307,
		"lib64/libflagset.dylib.so" : 538616340,
		"lib64/libfruit.so" : 3437564200,
		"lib64/libgatekeeper.so" : 164243796,
		"lib64/libgbm.so" : 656891913,
		"lib64/libgflags.so" : 3463449392,
		"lib64/libgfxstream_backend.so" : 1749252444,
		"lib64/libgrpc++.so" : 114736306,
		"lib64/libgrpc++_unsecure.so" : 3575765444,
		"lib64/libhalf.dylib.so" : 4184749741,
		"lib64/libhex.dylib.so" : 295068465,
		"lib64/libhidlbase.so" : 3251168806,
		"lib64/libicui18n-host.so" : 2141721140,
		"lib64/libicuuc-host.so" : 1547675764,
		"lib64/libjpeg.so" : 4186438019,
		"lib64/libjsoncpp.so" : 873492876,
		"lib64/libkeymaster_messages.so" : 367888503,
		"lib64/libkeymaster_portable.so" : 1410846369,
		"lib64/libkmr_cf.dylib.so" : 1367319494,
		"lib64/libkmr_cf_ffi.so" : 758083819,
		"lib64/libkmr_common.dylib.so" : 2720411519,
		"lib64/libkmr_crypto_boring.dylib.so" : 3857097059,
		"lib64/libkmr_proto_rust.dylib.so" : 4234267085,
		"lib64/libkmr_ta.dylib.so" : 3679443995,
		"lib64/libkmr_wire.dylib.so" : 4241187749,
		"lib64/liblibc.dylib.so" : 2561474615,
		"lib64/liblog.so" : 4175278090,
		"lib64/liblog_rust.dylib.so" : 169126319,
		"lib64/liblp.so" : 2854064080,
		"lib64/liblzma.so" : 1954975756,
		"lib64/libminijail.so" : 3021362700,
		"lib64/libnl.so" : 2705825966,
		"lib64/libonce_cell.dylib.so" : 3737412073,
		"lib64/libopenssl.dylib.so" : 1814440936,
		"lib64/libopus.so" : 2297293202,
		"lib64/libpkcs1.dylib.so" : 1640785964,
		"lib64/libpkcs8.dylib.so" : 2884346657,
		"lib64/libprocessgroup.so" : 3795732896,
		"lib64/libprotobuf-cpp-full.so" : 3196108798,
		"lib64/libprotobuf-cpp-lite.so" : 4036304805,
		"lib64/libprotobuf_deprecated.dylib.so" : 2414610521,
		"lib64/libpuresoftkeymasterdevice_host.so" : 1939232044,
		"lib64/libsec1.dylib.so" : 3376527053,
		"lib64/libserde.dylib.so" : 2252249209,
		"lib64/libsoft_attestation_cert.so" : 2922114914,
		"lib64/libsparse-host.so" : 1301845937,
		"lib64/libspki.dylib.so" : 517642405,
		"lib64/libsqlite.so" : 3294171237,
		"lib64/libssl-host.so" : 1869508175,
		"lib64/libstd-0727e15abf0c49a5.so" : 1789516059,
		"lib64/libunwindstack.so" : 2272020299,
		"lib64/libutils.so" : 1233201713,
		"lib64/libvirglrenderer.so" : 736252706,
		"lib64/libvpx.so" : 2243580707,
		"lib64/libwayland_client.so" : 2436299923,
		"lib64/libwebm_mkvmuxer.so" : 2534260545,
		"lib64/libx509_cert.dylib.so" : 3990801133,
		"lib64/libxml2.so" : 2120600872,
		"lib64/libyuv.so" : 1418988980,
		"lib64/libz-host.so" : 1227979384,
		"lib64/libzeroize.dylib.so" : 2012144121,
		"lib64/libziparchive.so" : 3087542622,
		"lib64/tpm2-tss2-esys.so" : 4047374778,
		"lib64/tpm2-tss2-mu.so" : 4155394133,
		"lib64/tpm2-tss2-rc.so" : 3602178473,
		"lib64/tpm2-tss2-sys.so" : 4107017374,
		"lib64/tpm2-tss2-tcti.so" : 3059298406,
		"lib64/tpm2-tss2-util.so" : 3029604194
	},
	"instance_names" :
	[
		"cvd-1"
	],
	"instances" :
	{
		"1" :
		{
			"adb_host_port" : 6520,
			"adb_ip_and_port" : "0.0.0.0:6520",
			"ap_boot_flow" : 2,
			"audiocontrol_server_port" : 9410,
			"blank_data_image_mb" : 0,
			"blank_metadata_image_mb" : 64,
			"blank_sdcard_image_mb" : 2048,
			"boot_image" : "CVDBASEDIR/boot.img",
			"bootconfig_supported" : true,
			"bootloader" : "CVDBASEDIR/bootloader",
			"camera_server_port" : 0,
			"config_server_port" : 6800,
			"console" : false,
			"cpus" : 2,
			"crosvm_binary" : "CVDBASEDIR/bin/crosvm",
			"custom_partition_path" : "",
			"data_image" : "CVDBASEDIR/userdata.img",
			"data_policy" : "use_existing",
			"ddr_mem_mb" : 4915,
			"display_configs" :
			[
				{
					"dpi" : 320,
					"refresh_rate_hz" : 60,
					"x_res" : 720,
					"y_res" : 1280
				}
			],
			"enable_audio" : true,
			"enable_bootanimation" : true,
			"enable_gnss_grpc_proxy" : true,
			"enable_gpu_udmabuf" : false,
			"enable_kernel_log" : true,
			"enable_minimal_mode" : false,
			"enable_modem_simulator" : true,
			"enable_sandbox" : true,
			"enable_vehicle_hal_server" : true,
			"enable_webrtc" : true,
			"ethernet_bridge_name" : "cvd-ebr",
			"ethernet_ipv6" : "fe80:0000:0000:0000:021a:11ff:fee1:cf00",
			"ethernet_mac" : "00:1a:11:e1:cf:00",
			"ethernet_tap_name" : "cvd-etap-01",
			"fastboot_host_port" : 7520,
			"filename_encryption_mode" : "hctr2",
			"fixed_location_file_path" : "",
			"fuchsia_root_image" : "",
			"fuchsia_zedboot_path" : "",
			"gdb_port" : 0,
			"gem5_binary_dir" : "CVDBASEDIR/bin/gem5",
			"gem5_checkpoint_dir" : "",
			"gem5_debug_file" : "",
			"gnss_file_path" : "",
			"gnss_grpc_proxy_server_port" : 7200,
			"gpu_angle_feature_overrides_disabled" : "",
			"gpu_angle_feature_overrides_enabled" : "preferLinearFilterForYUV:mapUnspecifiedColorSpaceToPassThrough",
			"gpu_capture_binary" : "",
			"gpu_mode" : "guest_swiftshader",
			"grpc_config" : "CVDBASEDIR/cuttlefish/instances/cvd-1/grpc_socket",
			"guest_android_version" : "13.0.0",
			"guest_enforce_security" : true,
			"hwcomposer" : "ranchu",
			"init_boot_image" : "CVDBASEDIR/init_boot.img",
			"initramfs_path" : "",
			"instance_dir" : "CVDBASEDIR/cuttlefish/instances/cvd-1",
			"kernel_path" : "",
			"kgdb" : false,
			"linux_initramfs_path" : "",
			"linux_kernel_path" : "",
			"linux_root_image" : "",
			"memory_mb" : 4096,
			"metadata_image" : "CVDBASEDIR/metadata.img",
			"misc_image" : "CVDBASEDIR/misc.img",
			"misc_info_txt" : "CVDBASEDIR/misc_info.txt",
			"mobile_bridge_name" : "cvd-mbr-01",
			"mobile_mac" : "00:1a:11:e0:cf:00",
			"mobile_tap_name" : "cvd-mtap-01",
			"modem_simulator_host_id" : 1001,
			"modem_simulator_instance_number" : 1,
			"modem_simulator_ports" : "9600",
			"modem_simulator_sim_type" : 1,
			"mte" : false,
			"multiboot_bin_path" : "",
			"new_boot_image" : "CVDBASEDIR/boot.img",
			"new_metadata_image" : "CVDBASEDIR/cuttlefish/instances/cvd-1/metadata.img",
			"new_misc_image" : "CVDBASEDIR/cuttlefish/instances/cvd-1/misc.img",
			"new_vbmeta_vendor_dlkm_image" : "CVDBASEDIR/cuttlefish/instances/cvd-1/vbmeta_vendor_dlkm_repacked.img",
			"new_vendor_boot_image" : "CVDBASEDIR/vendor_boot.img",
			"pause_in_bootloader" : false,
			"protected_vm" : false,
			"qemu_binary_dir" : "/usr/bin",
			"qemu_vnc_server_port" : 544,
			"record_screen" : false,
			"restart_subprocesses" : false,
			"ril_dns" : "8.8.8.8",
			"run_as_daemon" : false,
			"seccomp_policy_dir" : "CVDBASEDIR/usr/share/crosvm/x86_64-linux-gnu/seccomp",
			"serial_number" : "CUTTLEFISHCVD011",
			"session_id" : 0,
			"setupwizard_mode" : "DISABLED",
			"smt" : false,
			"start_netsim" : false,
			"start_pica" : true,
			"start_rootcanal" : true,
			"start_wmediumd" : true,
			"super_image" : "CVDBASEDIR/super.img",
			"target_arch" : 4,
			"tombstone_receiver_port" : 6600,
			"use_allocd" : false,
			"use_bridged_wifi_tap" : true,
			"use_sdcard" : true,
			"userdata_format" : "f2fs",
			"uuid" : "699acfc4-c8c4-11e7-882b-5065f31dc101",
			"vbmeta_image" : "CVDBASEDIR/vbmeta.img",
			"vbmeta_system_dlkm_image" : "CVDBASEDIR/vbmeta_system_dlkm.img",
			"vbmeta_system_image" : "CVDBASEDIR/vbmeta_system.img",
			"vbmeta_vendor_dlkm_image" : "CVDBASEDIR/vbmeta_vendor_dlkm.img",
			"vehicle_hal_server_port" : 9300,
			"vendor_boot_image" : "CVDBASEDIR/vendor_boot.img",
			"vhost_net" : false,
			"virtual_disk_paths" :
			[
				"CVDBASEDIR/cuttlefish/instances/cvd-1/overlay.img",
				"CVDBASEDIR/cuttlefish/instances/cvd-1/persistent_composite.img",
				"CVDBASEDIR/cuttlefish/instances/cvd-1/sdcard.img"
			],
			"vsock_guest_cid" : 3,
			"webrtc_assets_dir" : "CVDBASEDIR/usr/share/webrtc/assets",
			"webrtc_device_id" : "cvd-1",
			"webrtc_start_sig_server" : false,
			"webrtc_start_sig_server_proxy" : true,
			"webrtc_tcp_port_range" :
			[
				15550,
				15599
			],
			"webrtc_udp_port_range" :
			[
				15550,
				15599
			],
			"wifi_bridge_name" : "cvd-wbr",
			"wifi_mac" : "00:1a:11:e2:cf:00",
			"wifi_mac_prefix" : 5554,
			"wifi_tap_name" : "cvd-wtap-01"
		}
	},
	"pica_uci_port" : 7000,
	"root_dir" : "CVDBASEDIR/cuttlefish",
	"rootcanal_args" :
	[
		""
	],
	"rootcanal_config_file" : "CVDBASEDIR/etc/rootcanal/data/controller_properties.json",
	"rootcanal_default_commands_file" : "CVDBASEDIR/etc/rootcanal/data/default_commands",
	"rootcanal_hci_port" : 7300,
	"rootcanal_link_ble_port" : 7600,
	"rootcanal_link_port" : 7400,
	"rootcanal_test_port" : 7500,
	"secure_hals" :
	[
		"gatekeeper",
		"keymint"
	],
	"vhost_user_mac80211_hwsim" : "CVDBASEDIR/cuttlefish/instances/cvd-1/internal/vhost_user_mac80211",
	"virtio_mac80211_hwsim" : true,
	"vm_manager" : "crosvm",
	"webrtc_certs_dir" : "CVDBASEDIR/usr/share/webrtc/certs",
	"webrtc_sig_server_addr" : "/run/cuttlefish/operator",
	"webrtc_sig_server_path" : "/register_device",
	"webrtc_sig_server_port" : 8443,
	"webrtc_sig_server_secure" : true,
	"webrtc_sig_server_strict" : false,
	"wmediumd_api_server_socket" : "CVDBASEDIR/cuttlefish/instances/cvd-1/internal/wmediumd_api_server",
	"wmediumd_config" : ""
}
